/* --------------------------------------------------------
                         blink.c

     einfaches Blinkprogramm: Das "Hallo Welt" fuer
     Mikrocontroller

     MCU : ch32v003

     24.03.2025  R. Seelig
   -------------------------------------------------------- */

/*

                  CH32V003 A4M6                                        CH32V003F4P6

                  +-----------+                                      +--------------+
        PC1 / sda |1    C   16| PC0                         PD4 / a7 | 1         20 | PD3 / a4
        PC2 / scl |2    H   15| Vdd                   PD5 / a5 / utx | 2    C    19 | PD2 / a3
              PC3 |3    3   14| gnd                   PD6 / a6 / urx | 3    H    18 | PD1 / swio
              PC4 |4    2   13| PA2 / osc0 / a0           nrst / PD7 | 4    3    17 | PC7 / miso
       PC6 / mosi |5    V   12| PA1 / osc1 / a1      PA1 / osc0 / a0 | 5    2    16 | PC6 / mosi
       PC7 / miso |6    0   11| nrst / PD7           PA2 / osc1 / a1 | 6    V    15 | PC5 / sck / scl
       PD1 / swio |7    0   10| PD6 / a6 / urx                   gnd | 7    0    14 | PC4 / a2
         PD4 / a7 |8    3    9| PD5 / a5 / utx                   PD0 | 8    0    13 | PC3
                  +-----------+                                  Vdd | 9    3    12 | PC2 / scl
                                                                 PC0 | 10        11 | PC1 / sda
                                                                     +--------------+

*/

#include "ch32fun.h"
#include "ch32v003_gpio.h"

#define led_init()           PC3_output_init()
#define led_set()            PC3_set()
#define led_clr()            PC3_clr()

#define speed  500

int main()
{
  SystemInit();

  led_init();

  while(1)
  {
    led_set();
    delay(speed);
    led_clr();
    delay(speed);
  }
}
