/* -----------------------------------------------
                    adc_polling.h

     Header Softwaremodul zum Einlesen analoger
     Werte mittels Polling (softwaregetriggertes
     Starten des ADCs)

     MCU  : CH32V003
     Takt :

     15.04.2025  R. Seelig
   ----------------------------------------------- */

#ifndef in_adc_polling
  #define in_adc_polling

  #include "ch32fun.h"
  #include "ch32v003_gpio.h"

// Enumerator, um bei adc_init den Pin, auf dem analoge Messwerte eingelesen werdne
// koennen besser lokalisieren zu koennen

  enum adc_to_portpin_name {adc_on_PA2, adc_on_PA1, adc_on_PC4, adc_on_PD2,   \
                            adc_on_PD3, adc_on_PD5, adc_on_PD6, adc_on_PD4};

  /* -----------------------------------------------
          Channel 0    <= PA2
          Channel 1    <= PA1
          Channel 2    <= PC4
          Channel 3    <= PD2
          Channel 4    <= PD3
          Channel 5    <= PD5
          Channel 6    <= PD6
          Channel 7    <= PD4
     ----------------------------------------------- */

  void adc_init(uint32_t channel);
  uint16_t adc_get(void);
  uint32_t mwert2spg(uint16_t mwert, uint16_t uref);

#endif
