/* --------------------------------------------------------
                         term_colpos.h

     ermoeglicht farbige Ausgaben und Cursorsteuerung in
     einem Terminal

     10.04..2025  R. Seelig
   -------------------------------------------------------- */

#ifndef in_termcolpos
  #define in_termcolpos

  #include "my_printf.h"

  #define printf    my_printf

// Farbzuordnungen der EGA-Farben zu den Farbnummern
  #define black           0
  #define blue            1
  #define green           2
  #define cyan            3
  #define red             4
  #define magenta         5
  #define brown           6
  #define grey            7
  #define darkgrey        8
  #define lightblue       9
  #define lightgreen      10
  #define lightcyan       11
  #define lightred        12
  #define lightmagenta    13
  #define yellow          14
  #define white           15

  extern uint8_t textattr;

/* ----------------------------------------------------------
        Makros und Prototypen
   ---------------------------------------------------------- */

  void clrscr(void);
  void gotoxy(uint8_t x, uint8_t y);
  void settextattr(uint8_t attr);

  #define textcolor(col)   ( settextattr( (textattr & 0xf0) | col) )
  #define bkcolor(col)     ( settextattr( (textattr & 0x0f) | (col << 4)) )

#endif