/* -------------------------------------------------------
                         toene.h

     erzeugt Toene der C-Dur Tonleiter mittels Timer1-
     Overflow Interrupt, Lautsprecher an PC0 (evtl. ueber
     PNP-Transistor)

     MCU   :  ch32v003

     06.05.2025  R. Seelig
   ------------------------------------------------------ */
#ifndef in_toene
  #define in_toene

  #include "ch32fun.h"
  #include "ch32v003_gpio.h"

  // Lautsprecher an PC0 angeschlossen
  #define spk_init()      PC0_output_init()
  #define spk_set()       PC0_set()
  #define spk_clr()       PC0_clr()

  // Grundspielgeschwindigkeit
  #define                 playtempo 5       // Spieltempo, in dem die Noten abgespielt werden

  extern char    sound;

  // Prototypen
  void notenplay_init(void);
  void tonlen(int w);
  void sound_off(void);
  void sound_on(void);
  void playnote(uint8_t note);
  void playstring(const char* s);

#endif
