/* --------------------------------------------------------
                         term_colpos.c

     ermoeglicht farbige Ausgaben und Cursorsteuerung in
     einem Terminal

     10.04..2025  R. Seelig
   -------------------------------------------------------- */

#include "term_colpos.h"

// RGB565 Farbpallete der "EGA"-Farben
uint16_t egapalette [] =
{
  0x0000, 0x0015, 0x0540, 0x0555,
  0xa800, 0xa815, 0xaaa0, 0xad55,
  0x52aa, 0x52bf, 0x57ea, 0x57ff,
  0xfaaa, 0xfabf, 0xffea, 0xffff
};

/* Farbnummern der ESC-Sequenzen
   sw  bl  gn  cy  rt  mg  br  gr

   30, 34, 32, 36, 31, 35, 33, 37     Vordergrund
   40, 44, 42, 46, 41, 45, 41, 47     Hintergrund
*/

uint8_t ega_colors [] =
{
  30, 34, 32, 36, 31, 35, 33, 37
};

uint8_t textattr = 0x07;

void clrscr(void)
{
  printf("\033[2J\033[H");
}

void gotoxy(uint8_t x, uint8_t y)
{
  printf("\033[%d;%dH",y,x);
}

void settextattr(uint8_t attr)
{
  uint8_t bk, vg, bright;

  textattr= attr;
  bright= 0;
  bk= attr >> 4;
  if (bk > 7)
  {
    bk= bk & 0x07;
  }
  vg= attr & 0x0f;
  if (vg > 7)
  {
    vg= vg & 0x07;
    bright= 1;
  }
  printf("\033[49;%d;%d;%dm", bright,ega_colors[vg], ega_colors[bk]+10);
}

